# Ogre::ImageCodec::ImageData Class Reference

Codec return class for images. More...

`#include <OgreImageCodec.h>`

Inheritance diagram for Ogre::ImageCodec::ImageData:
[legend]

List of all members.

## Public Member Functions

| ImageData ()
String | dataType () const
| Returns the type of the data.
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info
void * | operator new (size_t sz)
void * | operator new (size_t sz, void *ptr)
| placement operator new
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info
void * | operator new[] (size_t sz)
void | operator delete (void *ptr)
void | operator delete (void *ptr, void *)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)

## Public Attributes

size_t | height
size_t | width
size_t | depth
size_t | size
ushort | num_mipmaps
uint | flags
PixelFormat | format

## Detailed Description

Codec return class for images.

Has information about the size and the pixel format of the image.

Definition at line 53 of file OgreImageCodec.h.

## Constructor & Destructor Documentation

Ogre::ImageCodec::ImageData::ImageData | ( |  | ) |

Definition at line 56 of file OgreImageCodec.h.

## Member Function Documentation

String Ogre::ImageCodec::ImageData::dataType | ( |  | ) | const`[virtual]`

Returns the type of the data.

Reimplemented from Ogre::Codec::CodecData.

Definition at line 72 of file OgreImageCodec.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |
| ) |  | `[inherited]`

Definition at line 101 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  | `[inherited]`

Definition at line 107 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) | `[inherited]`

Definition at line 95 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  | `[inherited]`

Definition at line 118 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) | `[inherited]`

Definition at line 112 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) | `[inherited]`

Definition at line 72 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr
| ) |  | `[inherited]`

placement operator new

Definition at line 78 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  | `[inherited]`

operator new, with debug line info

Definition at line 67 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) | `[inherited]`

Definition at line 90 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  | `[inherited]`

array operator new, with debug line info

Definition at line 85 of file OgreMemoryAllocatedObject.h.

## Member Data Documentation

size_t Ogre::ImageCodec::ImageData::depth

Definition at line 63 of file OgreImageCodec.h.

uint Ogre::ImageCodec::ImageData::flags

Definition at line 67 of file OgreImageCodec.h.

PixelFormat Ogre::ImageCodec::ImageData::format

Definition at line 69 of file OgreImageCodec.h.

size_t Ogre::ImageCodec::ImageData::height

Definition at line 61 of file OgreImageCodec.h.

ushort Ogre::ImageCodec::ImageData::num_mipmaps

Definition at line 66 of file OgreImageCodec.h.

size_t Ogre::ImageCodec::ImageData::size

Definition at line 64 of file OgreImageCodec.h.

size_t Ogre::ImageCodec::ImageData::width

Definition at line 62 of file OgreImageCodec.h.

The documentation for this class was generated from the following file:

- OgreImageCodec.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun May 8 2011 20:28:12